Method: projects.locations.instances.upgrade

將筆記本執行個體升級至最新版本。

HTTP 要求

POST https://notebooks.googleapis.com/v2/{name}:upgrade

路徑參數

參數
name

string

這是必要旗標,格式:projects/{projectId}/locations/{location}/instances/{instanceId}

授權需要指定資源 name 的下列 IAM 權限:

  • notebooks.instances.upgrade

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{
  "imageFamily": string
}
欄位
imageFamily

string

選用。要升級的 Compute Engine 映像檔系列資源名稱。格式:projects/{projectId}/global/images/family/{imageFamily}如果指定,執行個體會升級至指定映像檔系列中的最新映像檔,允許跨映像檔系列升級。如未指定,執行個體會升級至目前映像檔系列中的最新映像檔。

回應主體

如果成功,回應主體會包含 Operation 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

詳情請參閱Authentication Overview。